Branch editing warning message

Hello, users (curator role) on one of my projects are having trouble editing branch form entries on the web app. They are receiving the following error message: “Please note: To view existing branch entries you can use the Epicollect5 Data Viewer.” Any insight on why this is happening? Is it related to their user role? Thanks!

That is correct behaviour, it does not matter what role the user has.

When editing a hierarchy entry, branches are not loaded into the editor, to preserve system resources.

To edit a branch entry, users must open the branch entry directly from the dataviewer.

More info